内核编译中遇到的问题!

为当前最终发行版之前的所有版本提供支持
回复
zhqd
帖子: 7
注册时间: 2006-09-18 10:05
送出感谢: 0
接收感谢: 0

内核编译中遇到的问题!

#1

帖子 zhqd » 2006-10-09 13:15

想在ubuntu6.06下支持Adsl USB modem,所以就在2.6.15内核上打好补丁后make,结果出现一下提示!晕!
该怎么处理呀,大侠们拜托了!
另,6.10是否支持Adsl usb modem?是否最新的Linux内核支持Adsl usb modem呢?请各位解答一下啊!谢谢!


drivers/usb/atm/usbatm.c: 在函数 ‘usbatm_atm_init’ 中:
drivers/usb/atm/usbatm.c:986: 警告: 隐式声明函数 ‘shutdown_atm_dev’
CC drivers/usb/atm/cxacru.o
drivers/usb/atm/cxacru.c: 在函数 ‘cxacru_bind’ 中:
drivers/usb/atm/cxacru.c:723: 错误: ‘URB_ASYNC_UNLINK’ 未声明 (在此函 数内第一次使用)
drivers/usb/atm/cxacru.c:723: 错误: (即使在一个函数内多次出现,每个未 声明的标识符在其
drivers/usb/atm/cxacru.c:723: 错误: 所在的函数内只报告一次。)
make[3]: *** [drivers/usb/atm/cxacru.o] 错误 1
make[2]: *** [drivers/usb/atm] 错误 2
make[1]: *** [drivers/usb] 错误 2
make: *** [drivers] 错误 2
:oops:
回复

回到 “老旧版本支持”